using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Core
{
    public  class ChangeConfigurationRequest : IRequest
    {

        public ChangeConfigurationRequest()
        {
            Action = Actions.ChangeConfiguration.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }


        [Required]
        [MaxLength(50)]
        public string key { set; get; }

        [DisplayFormat(ConvertEmptyStringToNull = false)]
        [Required(AllowEmptyStrings = true)]
        [MaxLength(500)]
        public string value { set; get; }

        public bool TransactionRelated()
        {
            return false;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}
